org.opengis.cite.ogcapifeatures10.util

## Class BBox

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.util.BBox

-     public class BBox
      extends Object

  Author:
    Lyn Goltz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BBox(double minX, double minY, double maxX, double maxY)`
    `BBox(double minX, double minY, double maxX, double maxY, CoordinateSystem crs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `asQueryParameter()`
    `boolean` | `equals(Object o)`
    `CoordinateSystem` | `getCrs()`
    `double` | `getMaxX()`
    `double` | `getMaxY()`
    `double` | `getMinX()`
    `double` | `getMinY()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BBox

          public BBox(double minX,
                      double minY,
                      double maxX,
                      double maxY)

      Parameters:
        `minX` - Lower left corner, coordinate axis 1
        `minY` - Lower left corner, coordinate axis 2
        `maxX` - Upper right corner, coordinate axis 1
        `maxY` - Upper right corner, coordinate axis 2

    - #### BBox

          public BBox(double minX,
                      double minY,
                      double maxX,
                      double maxY,
                      CoordinateSystem crs)

      Parameters:
        `minX` - Lower left corner, coordinate axis 1
        `minY` - Lower left corner, coordinate axis 2
        `maxX` - Upper right corner, coordinate axis 1
        `maxY` - Upper right corner, coordinate axis 2
        `crs` - CRS of the bbox, may be `null`

  - ### Method Detail

    - #### getMinX

          public double getMinX()

      Returns:
        Lower left corner, coordinate axis 1

    - #### getMinY

          public double getMinY()

      Returns:
        Lower left corner, coordinate axis 2

    - #### getMaxX

          public double getMaxX()

      Returns:
        Upper right corner, coordinate axis 1

    - #### getMaxY

          public double getMaxY()

      Returns:
        Upper right corner, coordinate axis 2

    - #### getCrs

          public CoordinateSystem getCrs()

      Returns:
        CRS of the bbox, never `null`

    - #### asQueryParameter

          public String asQueryParameter()

      Returns:
        the bbox as query string like '-12,10, 12,20'

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2023 Open Geospatial Consortium. All rights reserved.